﻿$packageName = 'sox'
try {
  $libPath = Join-Path -Path $env:chocolateyPackageFolder -ChildPath 'lib'
  Copy-Item -Path $libPath\sox.exe -Destination $libPath\soxi.exe
  Copy-Item -Path $libPath\sox.exe -Destination $libPath\play.exe
  Copy-Item -Path $libPath\sox.exe -Destination $libPath\rec.exe
  # the following is all part of error handling
  Write-ChocolateySuccess $packageName
} catch {
  Write-ChocolateyFailure $packageName "$($_.Exception.Message)"
  throw 
}